Skip to main content
GET
/
2025-09
/
unit_types
List all Unit Types
curl --request GET \
  --url https://public-api.stora.co/2025-09/unit_types \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/unit_types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/unit_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "unit_types": [
    {
      "id": "utype_f18fc91387cdf710",
      "_links": {
        "sf:new_order": {
          "href": "/sites/site-name-self-storage-units/order/contact-details?unit_type_slug=standard-storage-unit",
          "title": "New order"
        }
      },
      "created_at": "2025-02-22T14:41:00Z",
      "dimensions": {
        "height": 11,
        "length": 12,
        "measurement_unit": "ft",
        "width": 10
      },
      "dynamic_pricing": true,
      "images": {
        "default": null
      },
      "live_prices": [
        {
          "billing_period": "weekly",
          "price": {
            "amount": 1500,
            "currency": "GBP",
            "formatted": "£15.00"
          },
          "stripe_price_id": "price_weekly_123"
        }
      ],
      "name": "Standard Storage Unit",
      "prices": [
        {
          "billing_period": "weekly",
          "price": {
            "amount": 1500,
            "currency": "GBP",
            "formatted": "£15.00"
          },
          "stripe_price_id": "price_weekly_123"
        }
      ],
      "promotion": {
        "id": "cpn_promo_abc123"
      },
      "require_insurance_coverage": true,
      "require_security_deposit": true,
      "security_deposit": {
        "amount": 5000,
        "currency": "GBP",
        "formatted": "£50.00"
      },
      "selling_points": [
        "Spacious",
        "Affordable",
        "Secure"
      ],
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "size_description": "10x12 ft",
      "slug": "standard-storage-unit",
      "status": "bookable",
      "stripe_product_id": "test_Sj6uOSWhCLm5et",
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
name,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of unit types

List of Unit Types

unit_types
object[]
meta
object